org.codehaus.groovy.runtime.powerassert

## Class PowerAssertionError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - java.lang.AssertionError
      - - org.codehaus.groovy.runtime.powerassert.PowerAssertionError

All Implemented Interfaces:
  java.io.Serializable

    public class PowerAssertionError
    extends java.lang.AssertionError

Indicates that a power assertion has failed.

Author:
  Peter Niederwieser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PowerAssertionError(java.lang.String msg)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PowerAssertionError

    public PowerAssertionError(java.lang.String msg)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Throwable`